Last Comment Bug 585462 - [Non-static SeaMonkey] "Warning: package error or possible missing or unnecessary file: bin/gfxutils.dll (package-manifest, 57)."
: [Non-static SeaMonkey] "Warning: package error or possible missing or unneces...
Status: VERIFIED FIXED
[Fixed in 2.1a3: Av1; 2.1b1: Bv1a]
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 560096 571989
Blocks: 564606 586822 713134
  Show dependency treegraph
 
Reported: 2010-08-08 09:17 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-12-30 04:49 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Stop packaging @DLL_PREFIX@gfxutils@DLL_SUFFIX@ [Checkin: Comment 3] (912 bytes, patch)
2010-08-08 16:56 PDT, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Review
(Bv1) Remove potentially existing @DLL_PREFIX@gfxutils@DLL_SUFFIX@. [Checkin: See comment 10] (944 bytes, patch)
2010-08-16 20:43 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-08-08 09:17:20 PDT
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1281263901.1281270504.21136.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2010/08/08 03:38:21

Warning: package error or possible missing or unnecessary file: bin/gfxutils.dll (package-manifest, 57).

-bin/gfxutils.dll
}

Probably a leftover (after a Core change), but needs to be checked/fixed.
Comment 1 Serge Gautherie (:sgautherie) 2010-08-08 10:40:02 PDT
(In reply to comment #0)
> Probably a leftover (after a Core change)

See bug 571989 comment 31
http://hg.mozilla.org/mozilla-central/rev/75723e048528
Comment 2 Serge Gautherie (:sgautherie) 2010-08-08 16:56:18 PDT
Created attachment 463978 [details] [diff] [review]
(Av1) Stop packaging @DLL_PREFIX@gfxutils@DLL_SUFFIX@
[Checkin: Comment 3]

Ftr, I'm not adding it to removed-files.in (as this module appeared in SMv2.1a1).
Comment 3 Serge Gautherie (:sgautherie) 2010-08-09 07:46:46 PDT
Comment on attachment 463978 [details] [diff] [review]
(Av1) Stop packaging @DLL_PREFIX@gfxutils@DLL_SUFFIX@
[Checkin: Comment 3]


http://hg.mozilla.org/comm-central/rev/87314367eac4
Comment 4 Justin Wood (:Callek) 2010-08-09 23:04:56 PDT
(In reply to comment #2)
> Ftr, I'm not adding it to removed-files.in (as this module appeared in
> SMv2.1a1).

Yet since we offer automatic updates from 2.1a1 to 2.1a2 and then to 2.1a3 it needs a removed-files.in addition.

rs+ to KaiRo to push it, if you (serge) want to patch though, I can get the review done in <24 hours.
Comment 5 Serge Gautherie (:sgautherie) 2010-08-10 08:50:08 PDT
(In reply to comment #4)
> Yet since we offer automatic updates from 2.1a1 to 2.1a2 and then to 2.1a3 it
> needs a removed-files.in addition.

Iiuc, 2.1a2 already included bug 367539.
Doesn't that cover automatic updates (too) from then on?
Comment 6 Robert Kaiser (not working on stability any more) 2010-08-10 09:26:58 PDT
At least the files AFAIK showed up as being left over on automated update tests in 2.1a2, but I don't fully remember.
Comment 7 Serge Gautherie (:sgautherie) 2010-08-10 11:40:15 PDT
(In reply to comment #6)
> At least the files AFAIK showed up as being left over on automated update tests
> in 2.1a2, but I don't fully remember.

Hum, that case should be clarified, for now and future:
Which other files were left over?
Is this situation expected wrt bug 367539?
Comment 8 Serge Gautherie (:sgautherie) 2010-08-12 15:27:16 PDT
V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1281436537.1281554576.18976.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2010/08/10 03:35:37
Comment 9 Serge Gautherie (:sgautherie) 2010-08-16 20:43:45 PDT
Created attachment 466545 [details] [diff] [review]
(Bv1) Remove potentially existing @DLL_PREFIX@gfxutils@DLL_SUFFIX@.
[Checkin: See comment 10]

Per your request: see previous discussion though...
Comment 10 Serge Gautherie (:sgautherie) 2010-08-22 20:52:21 PDT
Comment on attachment 466545 [details] [diff] [review]
(Bv1) Remove potentially existing @DLL_PREFIX@gfxutils@DLL_SUFFIX@.
[Checkin: See comment 10]

http://hg.mozilla.org/comm-central/rev/488530f3266c

Note You need to log in before you can comment on or make changes to this bug.